Bug 11253 - Samba drive mount in Usermount
Samba drive mount in Usermount
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-05 16:27 EDT by Piet E Barber
Modified: 2013-07-02 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 05:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piet E Barber 2000-05-05 16:27:48 EDT
When mounting samba drives,
I added this to the /etc/fstab file.

/NTOPS4/home		/mnt/NTops4		smbfs
noexec,nosuid,nodev,username=pbarber,fmask=666,user,owner 0 0
//nic-ex04/home	/mnt/netsol-nic-ex04	smbfs
noexec,nosuid,nodev,username=pbarber,fmask=666,user,owner 0 0

So basically, I want to mount as user pbarber (the auto part) a samba drive
share, without having to be root.   I have made the /usr/bin/smbmnt program
suid (shivers).

When using the usermount tool (as user pbarber), the prompt for the
password never comes up, the password prompt comes up in the terminal
window from where usermount was launched.  Then there is no opportunity to
type in the password, as the job stops on tty input.

A simple popup box prompting for the password would be a good way to fix
this program.

It appears that usermount doesn't correctly anticipate getting shoved off
to smbmount, instead of the typical mount utility.

"mount" from the command line does not work, either, I get the following
error:

pbarber@redhat pbarber]$ mount /mnt/NTops4/
Password: (my secret password onto the machine)
cannot mount on /mnt/NTops4: Operation not permitted
smbmnt failed: 1
mount.smbfs: ioctl failed, res=-1
Could not umount /mnt/NTops4: Operation n
Comment 1 Jindrich Novy 2004-10-03 05:24:41 EDT
Please use creditials=<file> in your file description entry to do
this. usermode shouldn't prompt for password then. See smbmount(8).
Place the creditials file in some safe location. If you need pbarber
to own the smb mounts, you can create the file in /home/pbarber and
chmod it to 600.

Jindrich

Note You need to log in before you can comment on or make changes to this bug.